#ifndef SWR_BCLINECONTEXT_HPP_INCLUDED
#define SWR_BCLINECONTEXT_HPP_INCLUDED


#include"swr_linecontext.hpp"


namespace swr{


class
BCLineContext
{
  double  t;

  LineContext  lnctx;

  int  cp_number;

  int  finished;

  struct{
    int  x;
    int  y;
  } p0, p1, p2, p3;


  void  step(int&  x, int&  y);

public:
  BCLineContext(int  x0=0, int  y0=0, int  x1=0, int  y1=0,
                int  x2=0, int  y2=0, int  x3=0, int  y3=0);

  void  reset(int  x0, int  y0, int  x1, int  y1,
              int  x2, int  y2);

  void  reset(int  x0, int  y0, int  x1, int  y1,
              int  x2, int  y2, int  x3, int  y3);

  bool  step();

  int  get_x() const;
  int  get_y() const;

};


}


#endif




