#ifndef SWR_LINE_HPP_INCLUDED
#define SWR_LINE_HPP_INCLUDED


#include"swr_point.hpp"
#include"swr_color.hpp"
#include"swr_screen.hpp"




namespace swr{


struct
Line
{
  Color  color;

  Point  a;
  Point  b;

  constexpr Line(const Color&  color_, const Point&  a_, const Point&  b_):
  color(color_),
  a(a_),
  b(b_){}


  void  render(const Screen&  scr) const;

  void  print() const;

};


} 



#endif




