#include"swr_adjacencymatrix.hpp"
#include<cstdio>


using namespace swr;


int
main(int  argc, char**  argv)
{
  AdjacencyMatrix  m;

  constexpr int  n = 32;

  m.resize(n);

  m.print_index_table();

    for(int  x = 0;  x < n;  ++x)
    {
      m.set_value(x,1,true);
    }


  m.print();

    for(int  x = 0;  x < n;  ++x)
    {
      printf("(%3d) == %d\n",x,m.get_value(x,1)? 1:0);
    }


    for(int  x = 0;  x < n;  ++x)
    {
      m.set_value(x,1,false);
    }


    for(int  x = 0;  x < n;  ++x)
    {
      printf("(%3d) == %d\n",x,m.get_value(x,1)? 1:0);
    }


  m.print();

  return 0;
}




